FAQ-V5-The version compatibility of Netflix

Q1: Why the latest version of Netflix can not use on the projector V5?
A1: Please check the firmware's version of V5, If it is V5 F version, please contact our after-sales team. We can send you the instruction about how to download the APK and install.
  • Email: support@toumeipro.com
  • WhatsApp:0086 137 1470 3093

Leave a comment

Please note, comments must be approved before they are published